Summary: Decompression utility
Name: unalz
Version: 0.65
Release: 7%{?dist}
License: zlib and BSD
Group: Applications/File
URL: http://www.kipple.pe.kr/win/unalz/
Source0: %{url}%{name}-%{version}.tgz
# We are using the internal zlib
Patch0: unalz-internal-zlib.patch
Patch1: unalz-optflags.patch
# Respect zlib get_crc_table() type
Patch2: unalz-0.65-zlib-get_crc_table-return-type-can-vary.patch
BuildRequires: zlib-devel

%description
Unalz is a utility to decompress .alz files. It supports bzip2/raw format 
transformation, splitting the compressed file into smaller chunks (alz, a00, 
a01, ...), extract password protected .alz files, and CRC checks.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .zlib
%patch1 -p1 -b .optflags
%patch2 -p1 -b .get_crc_table

rm -fr zlib

# Fix permissions and encoding issues
for i in $(find . -type f); do
   chmod -x $i
   iconv -f UHC -t UTF8 $i -o $i.utf8
   sed 's|\r||' $i.utf8 > $i.eol
   touch -r $i $i.eol
   mv $i.eol $i
done

%build
export LDFLAGS="$RPM_OPT_FLAGS"
export CFLAGS="$RPM_OPT_FLAGS"
make %{?_smp_mflags} linux-utf8

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -p %{name} $RPM_BUILD_ROOT%{_bindir}

%files
%doc readme.txt 
%{_bindir}/%{name}

%changelog
* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.65-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Aug 03 2012 Petr Pisar <ppisar@redhat.com> - 0.65-6
- Respect zlib get_crc_table() type

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.65-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.65-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.65-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.65-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr 01 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 0.65-1
- Update to 0.65

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.64-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 21 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 0.64-1
- Update to 0.64

* Thu Jan 15 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 0.63-1
- Update to 0.63

* Thu Dec 18 2008 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> 0.62-1
- Initial Fedora release
